fix [#28191] Exception when enabling a script for a newer Blender build
[blender.git] / release / scripts / startup / bl_ui / space_userpref.py
index e6fd8dcb9498bb7a21f613e757c0d65407934e00..944f5aaf4c15a0ab96fc22f1b4700ed778d9ce3a 100644 (file)
@@ -1076,17 +1076,25 @@ class WM_OT_addon_enable(bpy.types.Operator):
     bl_idname = "wm.addon_enable"
     bl_label = "Enable Add-On"
 
-    module = StringProperty(name="Module", description="Module name of the addon to enable")
+    module = StringProperty(
+            name="Module",
+            description="Module name of the addon to enable",
+            )
 
     def execute(self, context):
         mod = addon_utils.enable(self.module)
 
         if mod:
-            # check if add-on is written for current blender version, or raise a warning
             info = addon_utils.module_bl_info(mod)
 
-            if info.get("blender", (0, 0, 0)) > bpy.app.version:
-                self.report("WARNING','This script was written for a newer version of Blender and might not function (correctly).\nThe script is enabled though.")
+            info_ver = info.get("blender", (0, 0, 0))
+
+            if info_ver > bpy.app.version:
+                self.report({'WARNING'}, ("This script was written Blender "
+                                          "version %d.%d.%d and might not "
+                                          "function (correctly).\n"
+                                          "The script is enabled though.") %
+                                         info_ver)
             return {'FINISHED'}
         else:
             return {'CANCELLED'}